package com.junducki.blog.jaxb.test;

import java.io.FileNotFoundException;
import java.io.FileOutputStream;

import javax.xml.bind.JAXBContext;
import javax.xml.bind.JAXBException;
import javax.xml.bind.Marshaller;

import com.junducki.blog.jaxb.Company;
import com.junducki.blog.jaxb.ObjectFactory;
import com.junducki.blog.jaxb.Company.Team;

/**
 * JAXB의 Marshalling을 테스트 하기 위한 간단한 예제.
 * 
 * @author jinuk jung, junducki@naver.com
 * @version 1.0, 2008. 03. 06
 */
/*
 * History -2008. 03. 06, Create, jinuk jung
 */

public class MarshallingTest {

	public static void main(String[] args) {
		try {
			ObjectFactory objFactory = new ObjectFactory();
			
			Company company = objFactory.createCompany();
			company.setName("Test Company");
			
			Team team1 = objFactory.createCompanyTeam();
			team1.setName("Test Team 1");
			Team team2 = objFactory.createCompanyTeam();
			team2.setName("Test Team 2");
			
			company.addTeam(team1);
			company.addTeam(team2);
			
			JAXBContext jc = JAXBContext.newInstance("com.junducki.blog.jaxb");

			Marshaller marshaller = jc.createMarshaller();
			marshaller.setProperty(Marshaller.JAXB_FORMATTED_OUTPUT,
					new Boolean(true));

			marshaller.marshal(company, new FileOutputStream(
		       "E:/temp/blog/jaxb/jaxb_company_marshal_sample.xml"));

		} catch (JAXBException e) {
			e.printStackTrace();
		} catch (FileNotFoundException e) {
			e.printStackTrace();
		}

	}

}
