package com.junducki.blog.jaxb.test;

import java.io.File;
import java.util.Iterator;
import java.util.List;

import javax.xml.bind.JAXBContext;
import javax.xml.bind.JAXBException;
import javax.xml.bind.Unmarshaller;

import com.junducki.blog.jaxb.Company;
import com.junducki.blog.jaxb.Company.Team;

/**
 * JAXB의 Unmarshalling을 테스트 하기 위한 간단한 예제.
 * 
 * @author jinuk jung, junducki@naver.com
 * @version 1.0, 2008. 03. 06
 */
/*
 * History -2008. 03. 06, Create, jinuk jung
 */

public class UnmarshallingTest {

	public static void main(String[] args) {
		try {
			JAXBContext jc = JAXBContext.newInstance("com.junducki.blog.jaxb");

			Unmarshaller unmarshaller = jc.createUnmarshaller();
			// unmarshaller.setValidating(true);

			Company company = (Company) unmarshaller.unmarshal(new File(
					"E:/temp/blog/jaxb/jaxb_company_sample.xml"));

			System.out.println("Company Info :: NAME[" + company.getName()
					+ "], ADDRESS[" + company.getAddress() + "], TEAM_COUNT["
					+ company.getTeam().size() + "]");

			List<Team> teamList = company.getTeam();
			Iterator iter = teamList.iterator();
			while (iter.hasNext()) {
				Team team = (Team) iter.next();
				System.out.println("Team Info :: NAME[" + team.getName() + "]");
			}
		} catch (JAXBException e) {
			e.printStackTrace();
		}

	}

}
